#!/bin/bash
#PJM -L rscgrp=lecture-flat
#PJM -L node=1
#PJM --mpi proc=4
#PJM -L elapse=0:15:00
#PJM -g gt00
#PJM -S
module purge                      # 標準で有効なmoduleをpurgeで全てunload
module load gcc/4.8.5             # Gcc-4.8.5のmoduleをload
module load openfoam/4.1          # OpenFOAM-4.1のmoduleをload
source $WM_PROJECT_DIR/etc/bashrc # OpenFOAMの環境設定
source /usr/local/bin/mpi_core_setting.sh # MPIプロセスのピニング
export I_MPI_DEBUG=5              # Intel MPIのDEBUG情報レベル
# 並列ソルバ実行
# mpiexec.hydra : Intel MPIのMPI並列実行コマンド
# -n $PJM_MPI_PROC : プロセス数指定(PJMによりPJM_MPI_PROCに設定される)
# numactl -p1 : MC-DRAMに優先的にメモリを割当てる
# icoFoam : ソルバ
# -parallel : 並列実行の指定(OpenFOAMのコマンド共通のオプション)
mpiexec.hydra -n $PJM_MPI_PROC \
numactl -p1 \
icoFoam -parallel >& \
log.icoFoam.$PJM_JOBNAME.${PJM_SUBJOBID:-$PJM_JOBID}
